PKG-REPO(8)

NAME
pkg repo - creates a package database repository

SYNOPSIS
pkg repo <repo-path> [rsa-key]

DESCRIPTION
pkg repo is used for creating package repositories of already available packages. pkg repo is useful for creating a package repository database, and then sharing it with other people.

When pkg repo is invoked it will create a package database file (repo.sqlite) which then can be used for remote package installations from pkg-install(8).

When you want to create a package database repository you need to specify at least the directory which contains packages in repo-path.

To sign the repository, specify the path to an RSA private key for the rsa-key argument.

OPTIONS
The following options are supported by pkg repo:

ENVIRONMENT
The following environment variables affect the execution of pkg repo. See pkg.conf(5) for further description.

PUBKEY

FILES
See pkg.conf(5).

SEE ALSO
pkg(8), pkg-add(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-query(8), pkg-register(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8), pkg.conf(5)